
Foreman - Bug #23281

Navigating to foreman-proxy -> PuppetCA tab raises execption and redirected the page to dashboard

04/16/2018 10:35 AM - Sachin Ghai

Status: Duplicate   

Priority: Normal   

Assignee:    

Category:    

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases: 1.8.0

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Register a client with foreman-proxy and install puppet. To sign the cert, navigate to Infrastructure -> Capsules -> select external

foreman-proxy -> puppet CA tab.

UI raises error: Undefined method `enabled' for #

2018-04-16T06:22:23 [I|app|] Started GET "/katello/api/capsules/2-capsule-example-com/content/sync

?organization_id=1" for 125.16.97.121 at 2018-04-16 06:22:23 -0400

2018-04-16T06:22:23 [I|app|b266f] Processing by Katello::Api::V2::CapsuleContentController#sync_st

atus as JSON

2018-04-16T06:22:23 [I|app|b266f]   Parameters: {"organization_id"=>"1", "api_version"=>"v2", "id"

=>"2-capsule-example-com"}

2018-04-16T06:22:23 [I|app|b266f] Current user: admin (administrator)

2018-04-16T06:22:23 [I|app|b266f]   Rendering /opt/theforeman/tfm/root/usr/share/gems/gems/katello

-3.7.0/app/views/katello/api/v2/capsule_content/sync_status.json.rabl

2018-04-16T06:22:24 [I|app|b266f]   Rendered /opt/theforeman/tfm/root/usr/share/gems/gems/katello-

3.7.0/app/views/katello/api/v2/capsule_content/sync_status.json.rabl (206.9ms)

2018-04-16T06:22:24 [E|app|b266f] ActionView::Template::Error: undefined method `enabled' for #<Ar

ray:0x00007fde69901100>

 | (eval):40:in `block (3 levels) in eval_source'

 | /opt/theforeman/tfm-ror51/root/usr/share/gems/gems/activerecord-5.1.4/lib/active_record/relatio

n/delegation.rb:39:in `each'

 | /opt/theforeman/tfm-ror51/root/usr/share/gems/gems/activerecord-5.1.4/lib/active_record/relatio

n/delegation.rb:39:in `each'

 | (eval):31:in `map'

 | (eval):31:in `block (2 levels) in eval_source'

 | /opt/theforeman/tfm/root/usr/share/gems/gems/rabl-0.13.1/lib/rabl/builder.rb:152:in `node'

 | /opt/theforeman/tfm/root/usr/share/gems/gems/rabl-0.13.1/lib/rabl/builder.rb:114:in `block in c

ompile_settings'

 | /opt/theforeman/tfm/root/usr/share/gems/gems/rabl-0.13.1/lib/rabl/builder.rb:113:in `each'

 | /opt/theforeman/tfm/root/usr/share/gems/gems/rabl-0.13.1/lib/rabl/builder.rb:113:in `compile_se

ttings'

 | /opt/theforeman/tfm/root/usr/share/gems/gems/rabl-0.13.1/lib/rabl/builder.rb:58:in `block in to

_hash'

 | /opt/theforeman/tfm/root/usr/share/gems/gems/rabl-0.13.1/lib/rabl/builder.rb:248:in `cache_resu

lts'

 | /opt/theforeman/tfm/root/usr/share/gems/gems/rabl-0.13.1/lib/rabl/builder.rb:49:in `to_hash'

 | /opt/theforeman/tfm/root/usr/share/gems/gems/rabl-0.13.1/lib/rabl/multi_builder.rb:27:in `map'

 | /opt/theforeman/tfm/root/usr/share/gems/gems/rabl-0.13.1/lib/rabl/multi_builder.rb:27:in `to_a'

 reproduced with:

foreman-proxy-1.18.0-0.develop.201804051139gitaaaa773.el7.noarch

foreman-selinux-1.18.0-0.develop.201804021016git128e06f.el7.noarch

tfm-rubygem-foreman_openscap-0.9.0-1.fm1_18.el7.noarch

foreman-libvirt-1.18.0-0.develop.201804051543gitc07e531.el7.noarch

foreman-release-scl-4-1.el7.noarch
foreman-installer-1.18.0-0.develop.201804050328gitc9bede9.el7.noarch

Related issues:

Is duplicate of Katello - Bug #23190: replace .uniq with .distinct in content... Closed 04/09/2018

History

#1 - 04/16/2018 10:35 AM - Sachin Ghai

- Subject changed from Navigating to foreman-proxy _. PuppetCA tab raises execption and redirected the page to dashboard to Navigating to

foreman-proxy -> PuppetCA tab raises execption and redirected the page to dashboard

#2 - 04/16/2018 01:57 PM - Anonymous

- Project changed from Smart Proxy to Foreman

#3 - 06/06/2018 05:40 PM - Thomas McKay

- Is duplicate of Bug #23190: replace .uniq with .distinct in content view added

#4 - 06/06/2018 05:40 PM - Thomas McKay

- Status changed from New to Duplicate
